## simutrans-pak128.britain 1.09

=== Makefile ===
# Just run
#   make clean all archives
# to get fresh and ready to deploy .tbz2 and .zip archives

MAKEOBJ ?= ./makeobj

DESTDIR  ?= simutrans
PAKDIR   ?= $(DESTDIR)/pak128.Britain
DESTFILE ?= simupak128.Britain

OUTSIDE :=
OUTSIDE += grounds

DIRS64 :=
DIRS64 += gui/gui64

DIRS128 :=
DIRS128 += air
DIRS128 += attractions
DIRS128 += boats
DIRS128 += bus
DIRS128 += citybuildings
DIRS128 += citycars
DIRS128 += depots
DIRS128 += goods
DIRS128 += grounds
DIRS128 += gui/gui128
DIRS128 += hq
DIRS128 += industry
DIRS128 += livery-trains
DIRS128 += london-undergroud
DIRS128 += maglev
DIRS128 += narrowgauge
DIRS128 += pedestrians
DIRS128 += smoke
DIRS128 += stations
DIRS128 += townhall
DIRS128 += trains
DIRS128 += trams
DIRS128 += trees
DIRS128 += ways

DIRS192 := 
DIRS192 += boats/boats192

DIRS224 := 
DIRS224 += boats/boats224


DIRS := $(OUTSIDE) $(DIRS64) $(DIRS128) $(DIRS192) $(DIRS224)


.PHONY: $(DIRS) copy tar zip

all: copy $(DIRS)

archives: tar zip

tar: $(DESTFILE).tbz2
zip: $(DESTFILE).zip

$(DESTFILE).tbz2: $(PAKDIR)
	@echo "===> TAR $@"
	@tar cjf $@ $(DESTDIR)

$(DESTFILE).zip: $(PAKDIR)
	@echo "===> ZIP $@"
	@zip -rq $@ $(DESTDIR)

copy:
	@echo "===> COPY"
	@mkdir -p $(PAKDIR)/text $(PAKDIR)/text/citylists $(PAKDIR)/config
	@cp -p compat.tab $(PAKDIR)
	@cp -p config/* $(PAKDIR)/config
#	@mkdir -p $(PAKDIR)/sound $(PAKDIR)/text $(PAKDIR)/config $(PAKDIR)/scenario
#	@cp -p sound/* $(PAKDIR)/sound
#	@cp -p scenario/* $(PAKDIR)/scenario
	@cp -p text/*.tab $(PAKDIR)/text

$(DIRS64):
	@echo "===> PAK64 $@"
	@mkdir -p $(PAKDIR)
	@$(MAKEOBJ) quiet PAK $(PAKDIR)/ $@/ > /dev/null

$(DIRS128):
	@echo "===> PAK128 $@"
	@mkdir -p $(PAKDIR)
	@$(MAKEOBJ) quiet PAK128 $(PAKDIR)/ $@/ > /dev/null

$(DIRS192):
	@echo "===> PAK192 $@"
	@mkdir -p $(PAKDIR)
	@$(MAKEOBJ) quiet PAK192 $(PAKDIR)/ $@/ > /dev/null

$(DIRS224):
	@echo "===> PAK224 $@"
	@mkdir -p $(PAKDIR)
	@$(MAKEOBJ) quiet PAK224 $(PAKDIR)/ $@/ > /dev/null

$(OUTSIDE):
	@echo "===> OUTSIDE with REVISION and grounds"
	@mkdir -p $(PAKDIR)
	@$(MAKEOBJ) PAK128 $(PAKDIR)/ $@/ > /dev/null
	@echo -e -n "Obj=ground\nName=Outside\ncopyright=pak128.Britain 1.09 111.0 r" >$@/outsiderev.dat
	@svnversion >>$@/outsiderev.dat
	@echo -e "Image[0][0]=images/ls-water-128.0.0\n-" >>$@/outsiderev.dat
	@$(MAKEOBJ) PAK128 $(PAKDIR)/ $@/outsiderev.dat > /dev/null
	@rm $@/outsiderev.dat

clean:
	@echo "===> CLEAN"
	@rm -fr $(PAKDIR) $(DESTFILE).tbz2 $(DESTFILE).zip

## simutrans-pak128.britain 1.07

=== debian/changelog ===
simutrans-pak128.britain (1.07-1) unstable; urgency=low

  * New upstream release.
    + Update debian/build.
  * Install demo.sve.
  * Add debian/watch.
  * Use source format 3.0 (quilt).
  * Bump Standards-Version to 3.8.4 (no changes).
  * debian/control: Add Vcs-* fields.
  * debian/control: Add DM-Upload-Allowed: yes.

 -- Ansgar Burchardt <ansgar@43-1.org>  Fri, 26 Feb 2010 16:42:22 +0900

simutrans-pak128.britain (1.06-1) unstable; urgency=low

  * Initial release. (Closes: #539835)

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 02 Jan 2010 23:58:21 +0900

=== debian/control ===
Source: simutrans-pak128.britain
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@43-1.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: simutrans-makeobj (>= 102.2)
Standards-Version: 3.8.4
Homepage: http://www.simutrans.com/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/simutrans-pak128.britain/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-games/packages/trunk/simutrans-pak128.britain/
DM-Upload-Allowed: yes

Package: simutrans-pak128.britain
Architecture: all
Depends: ${misc:Depends}
Recommends: simutrans
Enhances: simutrans
Description: transportation simulator (data files)
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the pak128.Britain data set which includes
 British vehicles and buildings.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	sh debian/build

override_dh_clean:
	dh_clean
	[ ! -d build ] || $(RM) -r build

# revision to use when building .orig.tar.gz
SVNREV  = 262
VERSION = 1.07
SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans

get-orig-source:
	svn export -r $(SVNREV) $(SVNROOT)/pak128.Britain simutrans-pak128.britain-$(VERSION)
	find simutrans-pak128.britain-$(VERSION) -name "*.pak" -delete
	tar c simutrans-pak128.britain-$(VERSION) | gzip -9 >simutrans-pak128.britain_$(VERSION).orig.tar.gz
	$(RM) -r simutrans-pak128.britain-$(VERSION)

## simutrans-pak128.britain 1.08

=== debian/changelog ===
simutrans-pak128.britain (1.08-2ubuntu1) precise; urgency=low

  * Pre-Depends: dpkg (>= 1.15.6) for xz compression support.  Needed until
    after Ubuntu 12.04 LTS.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Oct 2011 13:38:15 +0100

simutrans-pak128.britain (1.08-2) unstable; urgency=low

  * Use XZ compression for the binary package.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 11 Aug 2011 13:03:04 +0200

simutrans-pak128.britain (1.08-1) unstable; urgency=low

  * New upstream release.
    + Update debian/build and debian/copyright.
  * debian/rules: Update get-orig-source target for 1.08.
  * debian/build: Use mkdir -p instead of testing for non-existance first.
  * debian/control: Remove DM-Upload-Allowed.
  * Bump Standards-Version to 3.9.1 (no changes).
  * Update my email address.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 27 Nov 2010 11:52:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: simutrans-pak128.britain
 Section: games
 Priority: extra
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Ansgar Burchardt <ansgar@43-1.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Ansgar Burchardt <ansgar@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: simutrans-makeobj (>= 102.2)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.simutrans.com/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/simutrans-pak128.britain/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-games/packages/trunk/simutrans-pak128.britain/
-DM-Upload-Allowed: yes
 
 Package: simutrans-pak128.britain
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${misc:Depends}
 Recommends: simutrans
 Enhances: simutrans

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	sh debian/build

override_dh_clean:
	dh_clean
	[ ! -d build ] || $(RM) -r build

override_dh_builddeb:
	dh_builddeb -- -Zxz

# revision to use when building .orig.tar.gz
SVNREV  = 329
VERSION = 1.08
SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans

get-orig-source:
	svn export -r $(SVNREV) $(SVNROOT)/pak128.Britain simutrans-pak128.britain-$(VERSION)
	find simutrans-pak128.britain-$(VERSION) -name "*.pak" -print -delete
	tar vc simutrans-pak128.britain-$(VERSION) | gzip -9 >simutrans-pak128.britain_$(VERSION).orig.tar.gz
	$(RM) -r simutrans-pak128.britain-$(VERSION)

## simutrans-pak128.britain 1.09

=== debian/changelog ===
simutrans-pak128.britain (1.09-1) unstable; urgency=low

  * New upstream release.
  * Update debian/rules.
  * Add README.source (from simutrans-pak64).
  * Bump Standards-Version to 3.9.2 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 12 Nov 2011 11:28:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: simutrans-pak128.britain
 Section: games
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: simutrans-makeobj (>= 102.2)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.simutrans.com/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/simutrans-pak128.britain/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-games/packages/trunk/simutrans-pak128.britain/
 
 Package: simutrans-pak128.britain
 Architecture: all
+Depends: ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6)
-Depends: ${misc:Depends}
 Recommends: simutrans
 Enhances: simutrans
 Description: transportation simulator (data files)

=== debian/rules ===
#! /usr/bin/make -f

# revision to use when building .orig.tar.gz
SVNREV  = 609
VERSION = 1.09
SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans
UPSTREAM_SVNREV = 607:609 # see README.source

STAGING := $(CURDIR)/debian/simutrans-pak128.britain

%:
	dh $@

override_dh_auto_build:
	$(MAKE) SVNREV=$(UPSTREAM_SVNREV) all

override_dh_install:
	dh_install
	rmdir --ignore-fail-on-non-empty $(STAGING)/usr/share/games/simutrans/pak128.Britain/text/citylists

override_dh_builddeb:
	dh_builddeb -- -Zxz

get-orig-source:
	svn export -r $(SVNREV) $(SVNROOT)/pak128.Britain simutrans-pak128.britain-$(VERSION)
	find simutrans-pak128.britain-$(VERSION) -name "*.pak" -print -delete
	tar vc simutrans-pak128.britain-$(VERSION) | xz >simutrans-pak128.britain_$(VERSION).orig.tar.xz
	$(RM) -r simutrans-pak128.britain-$(VERSION)

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./;s/-//g" http://sf.net/simutrans/pak128\.?[bB]ritain_([0-9.-]+)(?:_.*)?\.zip

## simutrans-pak128.britain 1.16

=== Makefile ===
# Just run
#   make clean all archives
# to get fresh and ready to deploy .tbz2 and .zip archives
#
# Change THIS to change the version string encoded in the pak file
# The SVN revision will be appended to it
VERSION_STRING = "pak128.Britain 1.13 112.0 r"
#
#
#
MAKEOBJ ?= ./makeobj

DESTDIR  ?= simutrans
PAKDIR   ?= $(DESTDIR)/pak128.Britain
DESTFILE ?= simupak128.Britain

# Dirs for simutranslator
TR_DIRS :=

OUTSIDE :=
OUTSIDE += grounds
TR_DIRS += grounds

DIRS32 :=
DIRS32 += boats/holds
TR_DIRS += boats/holds

DIRS64 :=
DIRS64 += gui/gui64
TR_DIRS += gui

DIRS128 :=
DIRS128 += air
TR_DIRS += air
DIRS128 += attractions
TR_DIRS += attractions
DIRS128 += boats
TR_DIRS += boats
DIRS128 += bus
TR_DIRS += bus
DIRS128 += citybuildings
TR_DIRS += citybuildings
DIRS128 += citycars
TR_DIRS += citycars
DIRS128 += depots
TR_DIRS += depots
DIRS128 += goods
TR_DIRS += goods
DIRS128 += gui/gui128
DIRS128 += hq
TR_DIRS += hq
DIRS128 += industry
TR_DIRS += industry
DIRS128 += london-underground
TR_DIRS += london-underground
DIRS128 += maglev
TR_DIRS += maglev
DIRS128 += narrowgauge
TR_DIRS += narrowgauge
DIRS128 += pedestrians
TR_DIRS += pedestrians
DIRS128 += smokes
TR_DIRS += smokes
DIRS128 += stations
TR_DIRS += stations
DIRS128 += townhall
TR_DIRS += townhall
DIRS128 += trains112
TR_DIRS += trains112
DIRS128 += trams
TR_DIRS += trams
DIRS128 += trees
TR_DIRS += trees
DIRS128 += ways
TR_DIRS += ways

DIRS192 := 
DIRS192 += boats/boats192
DIRS192 += air/air192

DIRS224 := 
DIRS224 += boats/boats224

DIRS256 := 
DIRS256 += air/air256

DIRS := $(OUTSIDE) $(DIRS32) $(DIRS64) $(DIRS128) $(DIRS192) $(DIRS224) $(DIRS256)


.PHONY: $(DIRS) copy tar zip simutranslator

all: copy $(DIRS)

archives: tar zip

tar: $(DESTFILE).tbz2
zip: $(DESTFILE).zip

$(DESTFILE).tbz2: $(PAKDIR)
	@echo "===> TAR $@"
	@tar cjf $@ $(DESTDIR)

$(DESTFILE).zip: $(PAKDIR)
	@echo "===> ZIP $@"
	@zip -rq $@ $(DESTDIR)

copy:
	@echo "===> COPY"
	@mkdir -p $(PAKDIR)/text $(PAKDIR)/text/citylists $(PAKDIR)/config
	@cp -p compat.tab $(PAKDIR)
	@cp -p demo.sve $(PAKDIR)
	@cp -p licence.txt $(PAKDIR)
	@cp -p readme.txt $(PAKDIR)
	@cp -p config/* $(PAKDIR)/config
#	@mkdir -p $(PAKDIR)/sound $(PAKDIR)/text $(PAKDIR)/config $(PAKDIR)/scenario
#	@cp -p sound/* $(PAKDIR)/sound
#	@cp -p scenario/* $(PAKDIR)/scenario
	@cp -p text/*.* $(PAKDIR)/text

$(DIRS32):
	@echo "===> PAK32 $@"
	@mkdir -p $(PAKDIR)
	@$(MAKEOBJ) verbose PAK32 $(PAKDIR)/ $@/ > /dev/null

$(DIRS64):
	@echo "===> PAK64 $@"
	@mkdir -p $(PAKDIR)
	@$(MAKEOBJ) verbose PAK $(PAKDIR)/ $@/ > /dev/null

$(DIRS128):
	@echo "===> PAK128 $@"
	@mkdir -p $(PAKDIR)
	@$(MAKEOBJ) verbose PAK128 $(PAKDIR)/ $@/ > /dev/null

$(DIRS192):
	@echo "===> PAK192 $@"
	@mkdir -p $(PAKDIR)
	@$(MAKEOBJ) verbose PAK192 $(PAKDIR)/ $@/ > /dev/null

$(DIRS224):
	@echo "===> PAK224 $@"
	@mkdir -p $(PAKDIR)
	@$(MAKEOBJ) verbose PAK224 $(PAKDIR)/ $@/ > /dev/null

$(DIRS256):
	@echo "===> PAK256 $@"
	@mkdir -p $(PAKDIR)
	@$(MAKEOBJ) verbose PAK256 $(PAKDIR)/ $@/ > /dev/null

$(OUTSIDE):
	@echo "===> OUTSIDE with REVISION and grounds"
	@mkdir -p $(PAKDIR)
	@$(MAKEOBJ) PAK128 $(PAKDIR)/ $@/ > /dev/null
	@echo -e -n "Obj=ground\nName=Outside\ncopyright=$(VERSION_STRING)" >$@/outsiderev.dat
	@svnversion >>$@/outsiderev.dat
	@echo -e "Image[0][0]=images/ls-water-128.0.0\n-" >>$@/outsiderev.dat
	@$(MAKEOBJ) PAK128 $(PAKDIR)/ $@/outsiderev.dat > /dev/null
	@rm $@/outsiderev.dat

clean:
	@echo "===> CLEAN"
	@rm -fr $(PAKDIR) $(DESTFILE).tbz2 $(DESTFILE).zip simutranslator/*.zip

# -----------
# Everything after this point in the Makefile is designed for
# the generation of zip files to upload to simutranslator
# written by Nathanael Nerode
# -----------

# The following image files are too large for simutranslator.
OVERSIZE_IMAGES :=
OVERSIZE_IMAGES += attractions/images/cur/football-ground-lg.png
OVERSIZE_IMAGES += attractions/images/cur/cricket-ground-sm.png
OVERSIZE_IMAGES += boats/images/clan-line-steamer.png
OVERSIZE_IMAGES += boats/images/handysize.png


# For each zip file to generate,
# (1) Use 'find' to get everything under the directory;
# (2) But exclude everything in 'blends';
# (3) And only collect files with .dat and .png endings;
# (4) Then use zip, but exclude "known bad" image files.

simutranslator/%.zip:
	FILE_LIST=`find -path ./$*/\* \! -path ./$*/blends/\* \( -name \*.dat -o -name \*.png \)` ; \
	zip -r $@ $$FILE_LIST -x $(OVERSIZE_IMAGES)

# Special case: Program texts
simutranslator/program_texts.zip:
	zip $@ simutranslator/*.dat

# Convert the list of TR_DIRS to a list of TR_ZIPFILES
TR_ZIPFILES := $(patsubst %,simutranslator/%.zip, $(TR_DIRS) )

# Finally, depend on all the individual zipfiles.
simutranslator: $(TR_ZIPFILES)

# Potential problems.
# - The entire attractions folder may be too big to do in one go.
# - separate out the stone attractions?
STONE_ATTRACTIONS :=
STONE_ATTRACTIONS += attractions/stone-attractions.dat
STONE_ATTRACTIONS += attractions/images/cur/stone-attractions.png 
STONE_ATTRACTIONS += attractions/images/cur/stone-attractions-snow.png
# - The entire boats folder may also be too big
# - separate out the large boats?
# - The entire trains folder may ALSO be too big

=== debian/changelog ===
simutrans-pak128.britain (1.16-2) unstable; urgency=medium

  * debian/control:
    - Correct Vcs-*.
    - Bump makeobj version to >= 120.1.1+repack-2.
  * debian/patches/0500-build.patch:
    - Change makobj path from /usr/games to /usr/lib/simutrans.
    - Rename to 0001-build.patch

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 18 Nov 2015 11:13:57 +0100

simutrans-pak128.britain (1.16-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release.
  * debian/control:
    - Add myself as uploader.
    - Remove uploader Ansgar Burchardt.
    - Bump Standards-Version to 3.9.6 (No changes required).
    - Change debhelper version to >= 9.
    - Change simutrans-makeobj version to >= 120.1.
    - Change Vcs to git.
    - Remove Pre-Depends dpkg.
  * Change debian/compat to 9.
  * debian/rules:
    - Change SVNREV and VERSION for new upstream release.
    - Remove useless UPSTREAM_SVNREV.
    - Remove override_dh_builddeb because compression xz is now standard.
  * debian/copyright:
    - Add myself to debian/*.
    - Rewrite for new upstream release.
  * Rewrite debian/patches/build.patch and rename to 0500-build.patch.
  * debian/source/options:
    - Removed because xz is now standard compression.
  * New debian/patches/0100-filenames.patch to correct UTF-8 filenames.
  * Rewrite debian/watch.
  * Add .gitignore.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 16 Nov 2015 09:44:32 +0100

=== debian/control ===
Source: simutrans-pak128.britain
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Jörg Frings-Fürst <debian@jff-webhosting.net>
Build-Depends:
 debhelper (>= 9)
Build-Depends-Indep:
 simutrans-makeobj (>= 120.1.1+repack-2)
Standards-Version: 3.9.6
Homepage: http://www.simutrans.com/
Vcs-Git: git://anonscm.debian.org/pkg-games/simutrans-pak128.britain.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/simutrans-pak128.britain.git

Package: simutrans-pak128.britain
Architecture: all
Depends: ${misc:Depends}
Recommends: simutrans (>= 120.1)
Enhances: simutrans
Description: transportation simulator (data files)
 Simutrans is a free transportation simulator: The player operates a
 transportation company and has to transport goods and passengers between
 factories and different cities.
 .
 This package contains the pak128.Britain data set which includes
 British vehicles and buildings.

=== debian/watch ===
# pak128.Britain.1.13-112-0.zip
version=3
opts="uversionmangle=s/-/./;s/-//g" http://sf.net/simutrans/pak128\.?[bB]ritain\.([0-9]\.[0-9]+).*\.zip

## simutrans-pak128.britain 1.17

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #
 #
 #
-MAKEOBJ ?= ./makeobj
+MAKEOBJ ?= makeobj
 
 DESTDIR  ?= simutrans
 PAKDIR   ?= $(DESTDIR)/pak128.Britain
@@ -59,6 +59,8 @@
 TR_DIRS += narrowgauge
 DIRS128 += pedestrians
 TR_DIRS += pedestrians
+DIRS128 += signals
+TR_DIRS += signals
 DIRS128 += smokes
 TR_DIRS += smokes
 DIRS128 += stations

=== debian/changelog ===
simutrans-pak128.britain (1.17-1) unstable; urgency=medium

  [ Jörg Frings-Fürst ]
  * New upstream release.
  * Refresh patches.
  * Add year 2016 to debian/copyright.
  * debian/watch: Bump version to 4 (no changes required).
  * debian/control:
    - Change Build-Depends-Indep to the new debian release
      of simutrans-makeobj (120.1.3).
    - Bump Standards-Version to 3.9.7 (no changes required).
    - Change Vcs-Git from git:// to https://.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 09 Feb 2016 20:59:16 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends:
  debhelper (>= 9)
 Build-Depends-Indep:
- simutrans-makeobj (>= 120.1.1+repack-2)
-Standards-Version: 3.9.6
+ simutrans-makeobj (>= 120.1.3)
+Standards-Version: 3.9.7
 Homepage: http://www.simutrans.com/
-Vcs-Git: git://anonscm.debian.org/pkg-games/simutrans-pak128.britain.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/simutrans-pak128.britain.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/simutrans-pak128.britain.git
 
 Package: simutrans-pak128.britain

=== debian/rules ===
#! /usr/bin/make -f

# revision to use when building .orig.tar.gz
SVNREV  = 1830
VERSION = 1.17
SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans

STAGING := $(CURDIR)/debian/simutrans-pak128.britain

%:
	dh $@

override_dh_auto_build:
	$(MAKE) SVNREV=$(SVNREV) all

override_dh_install:
	dh_install
	rmdir --ignore-fail-on-non-empty $(STAGING)/usr/share/games/simutrans/pak128.Britain/text/citylists

get-orig-source:
	svn export -r $(SVNREV) $(SVNROOT)/pak128.Britain ../simutrans-pak128.britain-$(VERSION)
	find ../simutrans-pak128.britain-$(VERSION) -name "*.pak" -print -delete
	cd ../simutrans-pak128.britain-$(VERSION) && \
	tar -caf "../simutrans-pak128.britain_$(VERSION).orig.tar.xz" *
	$(RM) -r ..\simutrans-pak128.britain-$(VERSION)

## simutrans-pak128.britain 1.18

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,11 @@
 #
 # Change THIS to change the version string encoded in the pak file
 # The SVN revision will be appended to it
-VERSION_STRING = "pak128.Britain 1.13 112.0 r"
-#
-#
-#
-MAKEOBJ ?= makeobj
+VERSION_STRING = "pak128.Britain 1.18 120.3 r"
+#
+#
+#
+MAKEOBJ ?= ./makeobj
 
 DESTDIR  ?= simutrans
 PAKDIR   ?= $(DESTDIR)/pak128.Britain

=== debian/changelog ===
simutrans-pak128.britain (1.18-2) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 4.5.0.
  * Switch to debhelper-compat = 13.
  * Tighten B-D on simutrans-makeobj.
  * Fix FTBFS and path to makeobj binary. (Closes: #963367)

 -- Markus Koschany <apo@debian.org>  Sun, 28 Jun 2020 00:20:06 +0200

simutrans-pak128.britain (1.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.18.
  * Switch to compat level 12
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.
  * Use https for Format field.
  * Tighten dependency on makeobj.

 -- Markus Koschany <apo@debian.org>  Wed, 13 Feb 2019 00:25:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: simutrans-pak128.britain
 Section: games
-Priority: extra
+Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Jörg Frings-Fürst <debian@jff-webhosting.net>
 Build-Depends:
- debhelper (>= 9)
+ debhelper-compat (= 13)
 Build-Depends-Indep:
- simutrans-makeobj (>= 120.1.3)
-Standards-Version: 3.9.7
+ simutrans-makeobj (>= 121.0)
+Standards-Version: 4.5.0
 Homepage: http://www.simutrans.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/simutrans-pak128.britain.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/simutrans-pak128.britain.git
+Vcs-Git: https://salsa.debian.org/games-team/simutrans-pak128.britain.git
+Vcs-Browser: https://salsa.debian.org/games-team/simutrans-pak128.britain
 
 Package: simutrans-pak128.britain
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #! /usr/bin/make -f
 
 # revision to use when building .orig.tar.gz
-SVNREV  = 1830
-VERSION = 1.17
-SVNROOT = https://simutrans.svn.sourceforge.net/svnroot/simutrans
+SVNREV  = 1991
+VERSION = 1.18
+SVNROOT = https://svn.code.sf.net/p/simutrans/code
 
 STAGING := $(CURDIR)/debian/simutrans-pak128.britain

=== debian/watch ===
# pak128.Britain.1.13-112-0.zip
version=4
opts="uversionmangle=s/-/./;s/-//g" http://sf.net/simutrans/pak128\.?[bB]ritain\.([0-9]\.[0-9]+).*\.zip
